package com.ruoyi.scientific.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;


/**
 * 科研管理视图对象 act_project
 *
 * @author zqjia
 * @date 2024-07-14
 */
@Data
@ExcelIgnoreUnannotated
public class ActProjectVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 项目id
     */
    @ExcelProperty(value = "项目id")
    private String projectId;

    /**
     * 指南id
     */
    @ExcelProperty(value = "指南id")
    private String handbookId;

    /**
     * 项目类别
     */
    @ExcelProperty(value = "项目类别")
    private Long category;

    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称")
    private String name;

    /**
     * 项目创建时间
     */
    @ExcelProperty(value = "项目创建时间")
    private Date createTime;

    /**
     * 请求参数
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    @TableField(exist = false)
    private Map<String, Object> params = new HashMap<>();
}
